﻿@model DataAccess.Model.Test

@{ Html.RenderAction("SidemenuTest", "Menu", new { testId = Model.Id });}

<div class="dashboard-wrapper">
    <!--Errorová hláška vygenerovaná v controlleru-->
    <div class="container-fluid dashboard-content">
        @if (TempData["error"] != null)
        {
            <div class="alert alert-danger alert-dismissible in" role="alert">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">x</span></button>
                @TempData["error"]
            </div>
        }
        <div class="row">
            @using (Ajax.BeginForm("CreateTest", "Test", null, new AjaxOptions() { HttpMethod = "Post", UpdateTargetId = "dynamicContent", InsertionMode = InsertionMode.Replace }, new { @class = "col-12" }))
            {
                @Html.AntiForgeryToken()
                @Html.HiddenFor(x => x.Id)
                <div class="card">
                    <div class="card-header">
                        @ViewBag.Nazev
                    </div>
                    <!--Pro každou otázku, podle počtu, který je libovolný podle toho, kolik otázek uživatel přidá-->
                    @for (int i = 0; i < Model.Questions.Count; i++)
                    {
                        <!--Odsazení od horního okraje-->
                        <div class="card-body @(i != 0 ? "border-top" : "")">
                            <!--Ve formuláři ignorovat id otázky pro předání do controlleru-->
                            @Html.HiddenFor(x => x.Questions[i].Id)
                            <h5>Otázka: </h5>
                            <div class="input-group mb-2">
                                <div class="input-group-prepend">
                                    <!--Číslování otázek-->
                                    <span class="input-group-text">@(i + 1). otázka: </span>
                                </div>
                                @Html.TextBoxFor(x => x.Questions[i].Question, new { @class = "form-control" })
                                <div class="input-group-append">
                                    @Ajax.ActionLink("Odstranit", "DeleteQuestion", "Test", new { testId = Model.Id, index = i }, new AjaxOptions() { UpdateTargetId = "dynamicContent", InsertionMode = InsertionMode.Replace }, new { @class = "btn btn-danger", onclick = "return confirm('Přejte si opravdu odstranit testovou otázku?');" })
                                </div>
                            </div>
                            <div class="input-group mb-4">
                                <div class="input-group-prepend">
                                    <span class="input-group-text">Popis: </span>
                                </div>
                                <!--Nápověda pro otázku podle konkrétního indexu-->
                                @Html.TextBoxFor(x => x.Questions[i].Hint, new { @class = "form-control", placeholder = "Popis není povinný..." })
                            </div>
                            <h5>Odpovědi: </h5>
                            <!--Pro konkrétní otázku na určitém indexu načíst odpovědi-->
                            @for (int j = 0; j < Model.Questions[i].Answers.Count; j++)
                            {
                                @Html.HiddenFor(x => x.Questions[i].Answers[j].Id)
                                <div class="input-group mb-2">
                                    <div class="input-group-prepend">
                                        <!--Číslování odpovědí-->
                                        <span class="input-group-text">@(j + 1).</span>
                                    </div>
                                    <!--Popis odpovědi přiřazné určité otázce podle jejího indexu a uložení do pole podle indexu odpovědi = stejné pro nastavení správnosti odpovědi-->
                                    @Html.TextBoxFor(x => x.Questions[i].Answers[j].Answer, new { @class = "form-control" })
                                    <div class="input-group-append">
                                        <div class="input-group-text green">
                                            <span class="mr-2">Správně:</span>
                                            @Html.CheckBoxFor(x => x.Questions[i].Answers[j].IsCorrect, new { onclick = "checkIt(" + Model.Questions[i].Id + ")", @class = Model.Questions[i].Id })
                                        </div>
                                    </div>
                                </div>
                            }
                        </div>
                    }
                </div>
                <!--Možnost test publikovat == je viditelný pro uživatele-->
                <div class="custom-control custom-checkbox">
                    @Html.CheckBoxFor(x => x.Published, new { @class = "custom-control-input", @id = "defaultChecked2" })
                    <label class="custom-control-label" for="defaultChecked2">Publikovat</label>
                </div>
                <button type="submit" class="btn btn-primary">Uložit Test</button>
            }
        </div>
    </div>
</div>